1. Ephemeral Operations
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
      • v1
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
  • Data
    • Positions
      • Send Positions
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
        POST
      • Get Ephemeral Operation
        GET
      • Delete Ephemeral Operation
        DELETE
      • Claim Ephemeral Operation
        POST
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
      • Generate Route
      • Surface Hexbin
  • Vector Tiles
    • Overview
AirHub® Portal (Sandbox)
  1. Ephemeral Operations

Create Ephemeral Operations

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
POST
/v1/operations/ephemeral
Last modified:2026-03-06 20:14:40
Scope: operation:create
This method will create a new Ephemeral Operation.
The response contains a claim URL in the form of https://portal.airspacelink.com/plan/operations/{id}/claim.
Once claimed, the temporary operation cannot be claimed again by another user.

Request

Body Params application/jsonRequired

Example
{
    "boundary": {
        "type": "Polygon",
        "coordinates": [
            [
                [
                    -78.55714924875102,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.15773996731016
                ]
            ]
        ]
    },
    "name": "Operation 97",
    "flightType": "FLIGHT_TYPE_RECREATIONAL",
    "maxAltitude": 200,
    "fixedAltitude": false,
    "callbackUrl": "https://myurl.com/operation/1234",
    "timezoneName": "America/New_York",
    "startTime": "2024-08-23T20:25:00.000Z",
    "duration": 55
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://airhub-api-sandbox.airspacelink.com/v1/operations/ephemeral' \
--header 'Content-Type: application/json' \
--data-raw '{
    "boundary": {
        "type": "Polygon",
        "coordinates": [
            [
                [
                    -78.55714924875102,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.15773996731016
                ]
            ]
        ]
    },
    "name": "Operation 97",
    "flightType": "FLIGHT_TYPE_RECREATIONAL",
    "maxAltitude": 200,
    "fixedAltitude": false,
    "callbackUrl": "https://myurl.com/operation/1234",
    "timezoneName": "America/New_York",
    "startTime": "2024-08-23T20:25:00.000Z",
    "duration": 55
}'

Responses

🟢200
application/json
A successful response.
Body

Example
{
    "url": "https://portal.airspacelink.com/plan/operations/81042622-4f02-4e85-a896-172edd5381b6/claim"
}
🟠403
🟠404
⚪default
Modified at 2026-03-06 20:14:40
Previous
Acknowledge Rescinded Authorization
Next
Get Ephemeral Operation
Built with